albums:
- catalog: N/A
  classifications:
  - Fan Arrangement
  date: '2008-07-03'
  link: album/9325
  reprint: false
  titles:
    en: A History of Crakatude
    ja: A History of Crakatude
    ja-latn: A History of Crakatude
  type: doujin
- catalog: BL9920766
  classifications:
  - Soundtrack
  date: '2023-11-01'
  link: album/134042
  reprint: false
  titles:
    en: Alien Hominid Invasion Game OST
    ja: Alien Hominid Invasion Game OST
    ja-latn: Alien Hominid Invasion Game OST
  type: game
description: ''
link: product/20102
meta:
  added_date: 2025-03-21T14:10
  edited_date: 2025-03-21T14:10
  fetched_date: 2025-12-07T17:19
  ttl: 86400
  visitors: 59
name: Alien Hominid
titles:
- date: '2002-08-07'
  link: product/20092
  names:
    en: Alien Hominid
    ja: Alien Hominid
    ja-latn: Alien Hominid
  type: Game
- date: '2023-11-01'
  link: product/20103
  names:
    en: Alien Hominid Invasion
    ja: Alien Hominid Invasion
    ja-latn: Alien Hominid Invasion
  type: Game
type: Franchise
vgmdb_link: https://vgmdb.net/product/20102?perpage=99999
websites: {}
